Loading...
Searching...
No Matches
gtsam::traits< GenericProjectionFactor< POSE, LANDMARK, CALIBRATION > > Struct Template Reference

## Detailed Description

template<class POSE, class LANDMARK, class CALIBRATION>
struct gtsam::traits< GenericProjectionFactor< POSE, LANDMARK, CALIBRATION > >

traits

Inheritance diagram for gtsam::traits< GenericProjectionFactor< POSE, LANDMARK, CALIBRATION > >:

## Additional Inherited Members

Public Member Functions inherited from gtsam::Testable< GenericProjectionFactor< POSE, LANDMARK, CALIBRATION > >
| BOOST_CONCEPT_ASSERT ((HasTestablePrereqs< GenericProjectionFactor< POSE, LANDMARK, CALIBRATION > >))
Static Public Member Functions inherited from gtsam::Testable< GenericProjectionFactor< POSE, LANDMARK, CALIBRATION > >
static void | Print (const GenericProjectionFactor< POSE, LANDMARK, CALIBRATION > &m, const std::string &str="")
static bool | Equals (const GenericProjectionFactor< POSE, LANDMARK, CALIBRATION > &m1, const GenericProjectionFactor< POSE, LANDMARK, CALIBRATION > &m2, double tol=1e-8)

The documentation for this struct was generated from the following file:

- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/slam/ProjectionFactor.h